    import AutoShader from 'f.lux/src/AutoShader.js'

public class | source

# AutoShader

Simplified shader used by `Shader` for handling auto-shadowing.

#### See:

- Shader.

## Constructor Summary

Public Constructor
public | constructor(readonly: *) |

## Member Summary

Public Members
public | readonly: * |

## Method Summary

Public Methods
public | shaderFor(name: *, state: *): * |
public | shadowProperty(time: *, name: *, parentState: *, parentImpl: *, store: *): * |
public | shouldAutomount(): * |

## Public Constructors

### public constructor(readonly: *) source

#### Params:

Name | Type | Attribute | Description
readonly | * |  |

## Public Members

### public readonly: * source

## Public Methods

### public shaderFor(name: *, state: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
state | * |  |

#### Return:

*

### public shadowProperty(time: *, name: *, parentState: *, parentImpl: *, store: *): * source

#### Params:

Name | Type | Attribute | Description
time | * |  |
name | * |  |
parentState | * |  |
parentImpl | * |  |
store | * |  |

#### Return:

*

### public shouldAutomount(): * source

#### Return:

*